//
//  ViewController.m
//  GettingStarted
//
//  Created by Syncfusion Inc on 12/8/14.
//  Copyright (c) 2014 Syncfusion Inc. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController
{
    
    NSMutableArray *highTemperature;
    NSMutableArray *lowTemperature;
    NSMutableArray *precipitation;
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void)viewDidLoad
{
    lowTemperature  = [[NSMutableArray alloc]init];
    precipitation   = [[NSMutableArray alloc]init];
    highTemperature = [[NSMutableArray alloc]init];
    
    
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jan" andYValue:@42]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Feb" andYValue:@56]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Mar" andYValue:@53]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Apr" andYValue:@64]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"May" andYValue:@75]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jun" andYValue:@83]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jul" andYValue:@87]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Aug" andYValue:@84]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Sep" andYValue:@78]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Oct" andYValue:@67]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Nov" andYValue:@55]];
    [highTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Dec" andYValue:@45]];
    
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jan" andYValue:@67]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Feb" andYValue:@48]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Mar" andYValue:@85]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Apr" andYValue:@34]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"May" andYValue:@54]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jun" andYValue:@63]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jul" andYValue:@68]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Aug" andYValue:@66]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Sep" andYValue:@59]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Oct" andYValue:@48]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Nov" andYValue:@38]];
    [lowTemperature addObject: [[SFChartDataPoint alloc]initWithXValue:@"Dec" andYValue:@29]];
    
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jan" andYValue:@34]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Feb" andYValue:@32]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Mar" andYValue:@43]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Apr" andYValue:@35]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"May" andYValue:@43]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jun" andYValue:@33]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Jul" andYValue:@63]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Aug" andYValue:@74]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Sep" andYValue:@43]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Oct" andYValue:@100]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Nov" andYValue:@22]];
    [precipitation addObject: [[SFChartDataPoint alloc]initWithXValue:@"Dec" andYValue:@12]];
    
    [super viewDidLoad];
    
    SFChart * _chart;
    
    UIScreen *screen     = [UIScreen mainScreen];
    
    NSUInteger margin    = MAX((screen.bounds.size.width - screen.applicationFrame.size.width),
                              (screen.bounds.size.height - screen.applicationFrame.size.height));
	
    CGRect chartRect     = CGRectMake(self.view.frame.origin.x, self.view.frame.origin.y+margin,
                                     self.view.frame.size.width, self.view.frame.size.height -margin);
    
    //Initialize the chart with frame
    _chart               = [[SFChart alloc] initWithFrame:chartRect];
    
    //Adding primary axis to chart.
    SFCategoryAxis * axis1  = [[SFCategoryAxis alloc]init];
    axis1.title.text        = @"Month";
    _chart.primaryAxis      = axis1;
    
    
    //Adding secondary axis to the chart.
    SFNumericalAxis * axis2 = [[SFNumericalAxis alloc] init];
    axis2.title.text        = @"Temperature";
    _chart.secondaryAxis    = axis2;
    
    //Adding the title for the chart.
    _chart.title.text       = @"Weather Analysis";
    
    _chart.legend.visible   = true;

    _chart.dataSource   = self;
    
    [self.view addSubview:_chart];
    
}

-(NSInteger) numberOfSeriesInChart:(SFChart *)chart
{
    return 3;
}

-(SFSeries *) chart:(SFChart *)chart seriesAtIndex:(NSInteger)index
{
    if (index == 0) {
        SFStackingAreaSeries * series     = [[SFStackingAreaSeries alloc]init];
        series.label                      = @"Precipitation";
        series.color                      = [UIColor colorWithRed:0 green:0.03921 blue:0.49019 alpha:0.49019];
        return series;
    }
    else if (index == 1){
        SFStackingAreaSeries * series     = [[SFStackingAreaSeries alloc]init];
        series.label                      = @"Low";
         series.color                     = [UIColor colorWithRed:0.196  green:0.49019 blue:0.03921 alpha:0.49019];
        
        return series;
    }
    else{
        SFLineSeries * series             = [[SFLineSeries alloc]init];
        series.label                      = @"High";
        return series;
    }
}

-(NSInteger) chart:(SFChart *)chart numberOfDataPointsForSeriesAtIndex:(NSInteger)index
{
    return 12;
}

-(SFChartDataPoint *) chart:(SFChart *)chart dataPointAtIndex:(NSInteger)index forSeriesAtIndex:(NSInteger)seriesIndex{
    
    switch (seriesIndex) {
        case 2:
            return highTemperature[index];
            break;
        case 1:
            return lowTemperature[index];
            break;
        default:
            return precipitation[index];
            break;
    }
}



@end



