//
//  ViewController.swift
//  GettingStartedSwift
//
//  Created by Syncfusion Inc on 12/8/14.
//  Copyright (c) 2014 Syncfusion Inc. All rights reserved.
//

import UIKit
import SFChartUI

class ViewController: UIViewController, SFChartDataSource {
    
    var highTemperature : NSMutableArray    = NSMutableArray();
    var lowTemperature  : NSMutableArray    = NSMutableArray();
    var precipitation   : NSMutableArray    = NSMutableArray();
    
    
    override func viewDidLoad()
    {
        super.viewDidLoad()
        
        highTemperature.addObject(SFChartDataPoint( XValue: "Jan", andYValue: 42));
        highTemperature.addObject(SFChartDataPoint( XValue: "Feb", andYValue: 44));
        highTemperature.addObject(SFChartDataPoint( XValue: "Mar", andYValue: 53));
        highTemperature.addObject(SFChartDataPoint( XValue: "Apr", andYValue: 64));
        highTemperature.addObject(SFChartDataPoint( XValue: "May", andYValue: 75));
        highTemperature.addObject(SFChartDataPoint( XValue: "Jun", andYValue: 83));
        highTemperature.addObject(SFChartDataPoint( XValue: "Jul", andYValue: 87));
        highTemperature.addObject(SFChartDataPoint( XValue: "Aug", andYValue: 84));
        highTemperature.addObject(SFChartDataPoint( XValue: "Sep", andYValue: 78));
        highTemperature.addObject(SFChartDataPoint( XValue: "Oct", andYValue: 67));
        highTemperature.addObject(SFChartDataPoint( XValue: "Nov", andYValue: 55));
        highTemperature.addObject(SFChartDataPoint( XValue: "Dec", andYValue: 45));
        
        lowTemperature.addObject(SFChartDataPoint( XValue: "Jan", andYValue: 27));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Feb", andYValue: 28));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Mar", andYValue: 35));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Apr", andYValue: 44));
        lowTemperature.addObject(SFChartDataPoint( XValue: "May", andYValue: 54));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Jun", andYValue: 63));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Jul", andYValue: 68));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Aug", andYValue: 66));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Sep", andYValue: 59));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Oct", andYValue: 48));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Nov", andYValue: 38));
        lowTemperature.addObject(SFChartDataPoint( XValue: "Dec", andYValue: 29));
        
        precipitation.addObject(SFChartDataPoint( XValue: "Jan", andYValue: 33.03));
        precipitation.addObject(SFChartDataPoint( XValue: "Feb", andYValue: 52.48));
        precipitation.addObject(SFChartDataPoint( XValue: "Mar", andYValue: 53.23));
        precipitation.addObject(SFChartDataPoint( XValue: "Apr", andYValue: 33.15));
        precipitation.addObject(SFChartDataPoint( XValue: "May", andYValue: 44.13));
        precipitation.addObject(SFChartDataPoint( XValue: "Jun", andYValue: 33.23));
        precipitation.addObject(SFChartDataPoint( XValue: "Jul", andYValue: 24.13));
        precipitation.addObject(SFChartDataPoint( XValue: "Aug", andYValue: 24.88));
        precipitation.addObject(SFChartDataPoint( XValue: "Sep", andYValue: 53.82));
        precipitation.addObject(SFChartDataPoint( XValue: "Oct", andYValue: 73.07));
        precipitation.addObject(SFChartDataPoint( XValue: "Nov", andYValue: 42.83));
        precipitation.addObject(SFChartDataPoint( XValue: "Dec", andYValue: 62.8));
        
        var chart       : SFChart           = SFChart();
        
        var sampleFrame : CGRect            = CGRectMake(self.view.bounds.origin.x,
            self.view.bounds.origin.y, self.view.bounds.size.width, self.view.bounds.size.height);
        
        //Set the frame for the chart.
        chart.frame                         = sampleFrame;
        
        //Adding primary axis to the chart.
        var axis1       : SFCategoryAxis    = SFCategoryAxis();
        axis1.title.text                    = "Month";
        
        chart.primaryAxis                   = axis1;
        
        //Adding secondary axis to the chart.
        var axis2       : SFNumericalAxis   = SFNumericalAxis();
        axis2.title.text                    = "Temperature";
        
        chart.secondaryAxis                 = axis2;
        
        //Set the title for the Chart.
        chart.title.text                    = "Weather Analysis";
        
        chart.legend.visible                = true;
        
        chart.dataSource                    = self;
        
        self.view.addSubview(chart);

    }
    
    func addDataPoint(month: NSString!, high: NSInteger!, low: NSInteger!, ppt: NSDecimalNumber!){
        

        
        highTemperature.addObject(SFChartDataPoint( XValue: month, andYValue: high));
        lowTemperature.addObject(SFChartDataPoint( XValue: month, andYValue: low));
        precipitation.addObject(SFChartDataPoint( XValue: month, andYValue: ppt));
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func numberOfSeriesInChart(chart: SFChart!) -> Int {
        return 3;
    }
    
    func chart(chart: SFChart!, seriesAtIndex index: Int) -> SFSeries! {
        if(index == 0){
            var series : SFStackingAreaSeries   = SFStackingAreaSeries();
            series.label                        = "Precipitation";
            series.color                        = UIColor(red:0,green:0.03921,blue:0.49019,alpha:0.49019);
            return series;
        }
        else if(index == 1){
            var series : SFStackingAreaSeries   = SFStackingAreaSeries();
            series.label                        = "High";
            series.color                        = UIColor(red:0.196,green:0.49019,blue:0.03921,alpha:0.49019);
            return series;
        }
        else{
            var series : SFLineSeries           = SFLineSeries();
            series.label                        = "Low";
            return series;
        }
    }
    
    func chart(chart: SFChart!, numberOfDataPointsForSeriesAtIndex index: Int) -> Int {
        return 12;
    }
    
    func chart(chart: SFChart!, dataPointAtIndex index: Int, forSeriesAtIndex seriesIndex: Int) -> SFChartDataPoint! {
        if(seriesIndex == 0){
            return precipitation[index] as SFChartDataPoint;
        }
        else if(seriesIndex == 1){
            return highTemperature[index] as SFChartDataPoint;
        }
        else{
            return lowTemperature[index] as SFChartDataPoint;
        }
    }


}

